# Class: c3.Chart Abstract

Defined in: | js/c3.coffee
Inherits: | c3.Base

## Overview

This class is abstract.

The base abstract class for c3 Charts. Charts are graphical visualizations of data attached to a div. They are currently based on SVG vector graphics, but may be extended to leverage canvas rendering for performance as well.

## Extensibility

The following members are added that represent D3 selections:

- g - A root svg:g node for this chart content with the CSS class `content`

The following members are added as c3.Selection objects:

- svg - The SVG node for this chart with the CSS classes `c3`, `chart`, and a user specified class.
- content - A c3 selection of the chart content

### Author:

- Douglas Armstrong

## Direct Known Subclasses

c3.Graph c3.Plot c3.Axis c3.Polar

## Variables Summary

type =

      'chart'

class =

      undefined

  This class is assigned to the chart svg node to allow CSS styles to be applied.

options =

      undefined

  [c3.Selection.Options] Options for the chart svg node.

content_options =

      undefined

  [c3.Selection.Options] Options for the chart content svg:g node. This may be used, for example, to set event handlers for just the content section of the chart or to set styles that apply to all of the content of the chart. If there are margins or attached axes, they are not considered part of the content.

### Variable inherited from c3.Base

anchor height width anchor_styles handlers

## Instance Method Summary

- # (void) init()
- # (void) style()

## Inherited Method Summary

### Methods inherited from c3.Base

#render #resize #redraw #restyle #init #_prep #_init #size #_size #update #_update #draw #_draw #style #_style

## Instance Method Details

# (void) init()

# (void) style()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input